Bug 74751 - init scripts don't cleanly start/stop netatalk
init scripts don't cleanly start/stop netatalk
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: netatalk (Show other bugs)
3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-01 09:37 EDT by Bryce Nesbitt
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-16 19:51:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryce Nesbitt 2002-10-01 09:38:00 EDT
The init scripts don't cleanly start/stop netatalk (Network Appletalk).

In particular, if there are Appletalk connections active, and you do:
    service atalk stop

You'll probably be left with a few hanging processes:
 17114 ? S 0:00 papd -f /etc/atalk/papd.conf
 17119 ? S 0:00 afpd -c 5 -n mail -f /etc/atalk/AppleVolumes.default 

These have to be manually killed before "service atalk start" will properly
restart Appletalk networking.

--------------------------------------------------------------------------

Also: It sure would be nice if the RPM's would patch in the proper
firewall rules in /etc/sysconfig/ipchains.  What a pain to figure out
the proper rules for each package!
Comment 1 Jason Vas Dias 2005-06-16 19:51:44 EDT
Sorry for the long delay in processing this bug - it somehow slipped
through the cracks.

The failure to stop all processes properly has been fixed in the latest
netatalk version: 2.0.3-1, in rawhide-20050617 and available for 
download from http://people.redhat.com/~jvdias/netatalk/ . There
is also a version for FC3/i386 available from the above URL .

Regarding the firewall configuration issue - if it is still a problem
for you, please raise another bugzilla, if possible appending the
firewall rules you developed for netatalk, and I'll put them in the
next release - thank you!

Note You need to log in before you can comment on or make changes to this bug.